<template>
  <v-expansion-panels
    :model-value="open ? 'panel' : undefined"
    @update:model-value="(v: any) => (open = !!v)"
  >
    <v-expansion-panel value="panel" elevation="0" class="rounded-0">
      <v-expansion-panel-title>
        <slot name="title">
          {{ title }}
        </slot>
      </v-expansion-panel-title>
      <v-expansion-panel-text eager>
        <slot />
      </v-expansion-panel-text>
    </v-expansion-panel>
  </v-expansion-panels>
</template>

<script setup lang="ts">
const props = withDefaults(defineProps<{ title?: string }>(), { title: "" });
const { title } = toRefs(props);
const open = defineModel<boolean>("open", { default: true, local: true });
</script>

<style scoped>
:deep(.v-expansion-panel-title) {
  width: initial;
  min-height: 0 !important;
  padding: 0;
}
</style>
